import {IsEmpty} from "class-validator";

export class CreateStripeCheckoutDto {
    @IsEmpty()
    readonly stripeCheckoutID: string;

    @IsEmpty()
    readonly stripeCheckoutStatus: string;

    @IsEmpty()
    readonly checkoutSessionData: string;

    @IsEmpty()
    readonly checkoutResponseData: string;

    @IsEmpty()
    readonly sessionID: string;

    @IsEmpty()
    readonly orderID: string;

    @IsEmpty()
    readonly products: string;

    @IsEmpty()
    readonly paymentStatus: string;

    @IsEmpty()
    readonly amount_subtotal: string;

    @IsEmpty()
    readonly amount_total: string;

    @IsEmpty()
    readonly shippingPackages: string;
}
    