import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('product_stock_imports')
export class ProductStockImport extends CoreEntity {

    @Column({ default: null, nullable: true })
    StockID: string;

    @Column({ default: null, nullable: true })
    ProductId: string;

    @Column({ default: null, nullable: true })
    Name: string;

    @Column({ default: null, nullable: true })
    Price: string;

    @Column({ default: null, nullable: true })
    CurrentStock: string;

    @Column({ default: null, nullable: true })
    NewStock: string;

    @Column({ default: null, nullable: true })
    NewTotalStock: string;

    @Column({ default: null, nullable: true })
    QuantityReorder: number;

    @Column({ default: null, nullable: true, type: "text" })
    Weight: string;

    @Column({ default: null, nullable: true, type: "text" })
    Color: string;

    @Column({ default: null, nullable: true })
    Sku: string;

    @Column({ default: 'Pending', nullable: true })
    ProcessStatus: string;
}
